Bug 21674 - Logitech iFeel mouse doesn't work
Logitech iFeel mouse doesn't work
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-12-04 05:06 EST by Need Real Name
Modified: 2007-04-18 12:30 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-12-05 08:01:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2000-12-04 05:06:35 EST
Hello,
 
I got an iFeel for present, probably it will be hard to return if I 
cannot make it work.
 
System: Redhat 7, out-of-box kernel (2.2.16-22)
Mobo:   ALI Aladdin V, OHCI controller
 
Symptoms: device is detected properly, drivers are installed but no
input is generated. Kernel exception results when /dev/input/mice is
opened for the first time. Dump below. The system seems to be OK
afterwards, but input is still not generated.
 
I hear others have not made it with this one either. Thought the HID
definition should make at least the button / wheel part work. Will a
newer kernel help?
 
Probably useful prints:
 
Hub data:
 
USB OHCI Root Hub
Serial Number: c4826000
Speed: 12Mb/s (full)
Number of Ports: 2
Bandwidth allocated: 0 / 900 (0%)
Total number of interrupt requests: 0
Total number of isochronous requests: 0
USB Version:  1.10
Device Class: 09(hub  )
Device Subclass: 00
Device Protocol: 00
Maximum Default Endpoint Size: 8
Number of Configurations: 1
 
Config Number: 1
        Number of Interfaces: 1
        Attributes: 40
        MaxPower Needed:   0mA
 
        Interface Number: 0
                Name: hub
                Alternate Number: 0
                Class: 09(hub  )
                Sub Class: 0
                Protocol: 0
                Number of Endpoints: 1
 
                        Endpoint Address: 81
                        Direction: in
                        Attribute: 3
                        Type: Int.
                        Max Packet Size: 2
                        Interval: 255ms

 

Mouse data:

Feel MouseMan
Manufacturer: Logitech Inc.
Speed: 1.5Mb/s (low)
USB Version:  1.00
Device Class: 00(>ifc )
Device Subclass: 00
Device Protocol: 00
Maximum Default Endpoint Size: 8
Number of Configurations: 1
Vendor Id: 046d
Product Id: c032 
Revision Number:  1.01 

Config Number: 1  
        Number of Interfaces: 1  
        Attributes: a0
        MaxPower Needed: 500mA

        Interface Number: 0
                Name: hid
                Alternate Number: 0
                Class: 03(HID  )
                Sub Class: 1
                Protocol: 2
                Number of Endpoints: 2
        
                        Endpoint Address: 81
                        Direction: in
                        Attribute: 3
                        Type: Int.
                        Max Packet Size: 8
                        Interval:  10ms
                
                        Endpoint Address: 01
                        Direction: out
                        Attribute: 3  
                        Type: Int.
                        Max Packet Size: 8  
                        Interval:  10ms
                        
Module data:
                        
nfs                    28768   3 (autoclean)
lockd                  31176   1 (autoclean) [nfs]
sunrpc                 52964   1 (autoclean) [nfs lockd]
3c509                   5996   1 (autoclean)
nls_cp437               38764 (autoclean)
vfat                    9404   2 (autoclean)
fat                    30688   2 (autoclean) [vfat]
snd-mixer-oss           3924   0 (autoclean)
snd-card-sbawe          5064   0
isapnp                 26740   0 [snd-card-sbawe]
snd-opl3                4264   0 [snd-card-sbawe]
snd-sb16-csp           15028   0 [snd-card-sbawe]
snd-sb16-dsp           14536   0 [snd-card-sbawe snd-sb16-csp]
snd-pcm                29464   0 [snd-sb16-dsp]
snd-timer               8064   0 [snd-opl3 snd-pcm]
snd-mixer              23356   0 [snd-mixer-oss snd-sb16-csp
snd-sb16-dsp]    
snd-hwdep               2956   0 [snd-opl3 snd-sb16-csp]
snd-mpu401-uart         2296   0 [snd-card-sbawe]
snd-rawmidi             9432   0 [snd-mpu401-uart]
snd-seq-device          3328   0 [snd-card-sbawe snd-rawmidi]
snd                    35788   1 [snd-mixer-oss snd-card-sbawe snd-opl3
snd-sb16-csp snd-sb16-dsp snd-pcm snd-timer snd-mixer snd-hwdep
snd-mpu401-uart snd-rawmidi snd-seq-device]
soundcore               2596   4 [snd]
mousedev                3660   0 (unused)
hid                    11424   0 (unused)
input                   2972   0 [mousedev hid]
usb-ohci               12360   0 (unused)
usbcore                42088   1 [hid usb-ohci]
                
Kernel dump (unfortunately no debug symbols):
                        
usb.c: registered new driver usbdevfs
usb.c: registered new driver hub
usb-ohci.c: USB OHCI at membase 0xc4826000, IRQ 11
usb.c: new USB bus registered, assigned bus number 1
usb.c: USB new device connect, assigned device number 1
hub.c: USB hub found
hub.c: 2 ports detected
usb.c: USB new device connect, assigned device number 2
usb.c: This device is not recognized by any installed USB driver.
usb.c: registered new driver hid  
input0: USB HID v1.00 Mouse [Logitech Inc. iFeel MouseMan] on usb1:2.0
mouse0: PS/2 mouse device for input0   
mice: PS/2 mouse device common for all mice
PnP: Calling quirk for 01:00
PnP: Calling quirk for 01:02
isapnp: Card 'Creative SB AWE64  PnP'
isapnp: 1 Plug & Play card detected total
eth0: 3c509 at 0x300 tag 1, BNC port, address  00 20 af 90 23 be, IRQ
10.
3c509.c:1.16 (2.2) 2/3/98 becker@cesdis.gsfc.nasa.gov.
eth0: Setting Rx mode to 1 addresses.
eth0: Setting Rx mode to 0 addresses.
eth0: Setting Rx mode to 1 addresses.
Unable to handle kernel NULL pointer dereference at virtual address
0000000f
current->tss.cr3 = 02d19000, %cr3 = 02d19000
*pde = 00000000
Oops: 0000
CPU:    0
EIP:    0010:[<0000000f>]
EFLAGS: 00010206
eax: c37b0d28   ebx: c3fc3d54   ecx: 00000000   edx: 0000000f
esi: c482ede0   edi: 00000001   ebp: c3a488c0   esp: c2d1bf48
ds: 0018   es: 0018   ss: 0018
Process gpm (pid: 576, process nr: 24, stackpage=c2d1b000)
Stack: c482e402 c3fc3d54 c2ca4880 c2fd6200 c2ca4880 c2b98220 0000000d
c4828691
       c2ca4880 c2fd6200 00000000 c01264ab c2ca4880 c2fd6200 c2fd6200
00000000
       c2ca4880 c01253f0 c2ca4880 c2fd6200 00000001 c39a0000 00000001
bffffd18
Call Trace: [<c482e402>] [<c4828691>] [<c01264ab>] [<c01253f0>]
[<c01255ce>] [<c0109f58>]
Code: <1>Unable to handle kernel NULL pointer dereference at virtual
address 0000000f
current->tss.cr3 = 02d19000, %cr3 = 02d19000
*pde = 00000000
Oops: 0000              
CPU:    0
EIP:    0010:[<c010a40d>]
EFLAGS: 00010046
eax: 00000000   ebx: 00000000   ecx: 0000000f   edx: c3840000
esi: 0000002b   edi: c2d1c000   ebp: c4800000   esp: c2d1be88
ds: 0018   es: 0018   ss: 0018
Process gpm (pid: 576, process nr: 24, stackpage=c2d1b000)
Stack: 0000000f 08048000 c02490ae c482ede0 00000001 c3a488c0 c37b0d28
c3fc3d54
       00000000 0000000f 0000000f 00010206 00000010 c5000000 c010a470
c2d1bf0c
       c01d9227 c01dab4e 00000000 00000000 c010f560 c01dab4e c2d1bf0c
00000000
Call Trace: [<c482ede0>] [<c5000000>] [<c010a470>] [<c01d9227>]
[<c01dab4e>] [<c010f560>] [<c01dab4e>]
       [<c482ede0>] [<c010a06d>] [<c482ede0>] [<c4828393>] [<c482e402>]
[<c4828691>] [<c01264ab>] [<c01253f0>]   
       [<c01255ce>] [<c0109f58>]
Code: 8a 04 0b 89 44 24 38 50 68 1f 92 1d c0 e8 9d 9c 00 00 83 c4

-- end of data --
Comment 1 Need Real Name 2000-12-05 08:01:43 EST
Hi again,

the mouse now works when I compiled and installed  2.0.4pre11.

This kernel did not start nfs.lockd for me. No other complications so far.
Comment 2 Pete Zaitcev 2002-01-25 16:58:45 EST
I am sorry for dropping this, but the 2.2 backport was very
shaky even in the main tree. I suggest running 7.2 release.
I hope Michael agrees.

Note You need to log in before you can comment on or make changes to this bug.